<template>
	<el-descriptions title="详情信息">
		<el-descriptions-item label="姓名">{{tableData.userName}}</el-descriptions-item>
		<el-descriptions-item label="状态">{{tableData.status}}</el-descriptions-item>
		<el-descriptions-item label="id">{{tableData.recordId}}</el-descriptions-item>
		<el-descriptions-item label="事件名称">{{tableData.event}}</el-descriptions-item>
		<!-- <el-descriptions-item label="更新前">{{tableData.before}}</el-descriptions-item> -->
		<!-- <el-descriptions-item label="更新后">{{tableData.after}}</el-descriptions-item> -->
	</el-descriptions>
</template>

<script>
	export default {
		data() {
			return {
				tableData: {},
			}
		},
		mounted() {
			let id = this.$route.query.id
			this.$request({
				url: '/api/AuditLog/detail/' + id,
				method: 'get',
			}).then((res) => {
				this.tableData=res.data
				let string=res.data.after
				let obj=eval('('+string+')')
				console.log(obj)
			})
		}
	}
</script>

<style>
</style>
